# org.apache.ignite.internal.portable.api

## Interfaces

- IgnitePortables
- PortableBuilder
- PortableIdMapper
- PortableMarshalAware
- PortableMetadata
- PortableObject
- PortableRawReader
- PortableRawWriter
- PortableReader
- PortableSerializer
- PortableWriter

## Classes

- PortableMarshaller
- PortableTypeConfiguration

## Enums

- PortableProtocolVersion

## Exceptions

- PortableException
- PortableInvalidClassException